local gr, lm, li = love.graphics, love.mouse, love.image
function love.load()
	w, h = 800, 600
	imageData = li.newImageData( w, h )
	gr.setColor( 255, 255, 255, 255 )
	gr.setCaption( 'Drawing to image data' )
	end

function love.update()
	local pos = { love.mouse.getX(), love.mouse.getY() }
	if lm.isDown( 'r' ) then  imageData = li.newImageData( w, h ) end
	if lm.isDown( 'l' ) then
		imageData:setPixel( pos[1], pos[2], 255, 255, 255, 255 )
		end
	end

function love.draw()
	image = nil
	collectgarbage("collect")
	image = love.graphics.newImage( imageData )	-- limiting process
	gr.draw( image )
	gr.print( love.timer.getFPS(), 10, 10 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() end
	end
